Skip to main content
GET
/
market
/
transactions
List transactions
curl --request GET \
  --url https://api.skinshark.gg/market/transactions \
  --header 'api-key: <api-key>'
{
  "requestId": "<string>",
  "success": true,
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "userId": "<string>",
        "steamId": "<string>",
        "tradeUrl": "<string>",
        "game": "730",
        "items": [
          {
            "id": "<string>",
            "name": "<string>",
            "marketHashName": "<string>",
            "type": "<string>",
            "iconUrl": "<string>",
            "price": 123,
            "exterior": "<string>",
            "rarity": "<string>",
            "color": "<string>",
            "phase": "<string>",
            "wear": "<string>",
            "paintSeed": 123,
            "stickers": [
              {
                "name": "<string>",
                "slot": 123,
                "iconUrl": "<string>",
                "wear": 123
              }
            ],
            "charm": {
              "name": "<string>",
              "iconUrl": "<string>",
              "pattern": "<string>"
            },
            "delivery": "<string>",
            "status": "<string>",
            "tradable": true,
            "error": "<string>"
          }
        ],
        "summary": {
          "total": 123,
          "delivered": 123,
          "completed": 123,
          "failed": 123
        },
        "totalPrice": 123,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "offerId": "<string>",
        "externalId": "<string>",
        "holdEndDate": "2023-11-07T05:31:56Z",
        "settledAt": "2023-11-07T05:31:56Z",
        "error": "<string>"
      }
    ],
    "nextCursor": "<string>"
  },
  "error": {
    "code": 1500,
    "key": "INSUFFICIENT_BALANCE",
    "message": "Insufficient balance"
  }
}

Authorizations

api-key
string
header
required

Your raw API key. Generate, rotate, and revoke keys from the merchant dashboard. Keys can optionally be bound to one or more allowed source IPs — requests from any other IP are rejected with API_KEY_IP_DENIED.

Headers

On-Behalf-Of
string

Sub-user UUID or the merchant's externalId for that sub-user. Required for sub-user-context routes; rejected (via requireMerchant) on merchant-context routes.

Required string length: 1 - 128

Query Parameters

cursor
string<uuid>
limit
integer
default:25
Required range: 1 <= x <= 100
status
enum<string>
Available options:
initiated,
pending,
active,
hold,
completed,
failed,
reverted

Response

OK.

requestId
string
required
success
boolean
required
data
object

Sub-user transaction list (/market/transactions). Cursor-paginated.

error
object